C*----------------------------------------------------------------------
C*
C*  NAME:
C*    mg3d.inc - Include parameters for seismic benchmark process MG3D
C*     
C*----------------------------------------------------------------------
C*   HISTORY:
C*
C*     Written:
C*       04/20/93 - C. Mosher, ARCO E&PT 
C*
C*     References:
C*       Seismic Benchmark Users Guide
C*
C*     Modified:
C*
C*----------------------------------------------------------------------
C
	integer mg3d_start, mg3d_end
	integer nx,ny,nt,nf,if1,nz,nyp,nfp,n2,mag,nyq,nxf,nyf
	integer idbug,nypn,nfpn,nylive,nflive,nfmax
	integer lframe,jframe,kdepth,ipass,icorr
	real dt,sw,x1,dx,y1,dy,z1,dz,vmig,timage,zmax,fmax
	real tload, tcomp, tcomm, tcorr, tvel
	common /mg3d/ mg3d_start
	common /mg3d/ nx,ny,nt,nf,if1,nz,nyp,nfp,n2,mag,nyq,nxf,nyf
	common /mg3d/ idbug,nypn,nfpn,nylive,nflive,nfmax
	common /mg3d/ lframe,jframe,kdepth,ipass,icorr
	common /mg3d/ dt,sw,x1,dx,y1,dy,z1,dz,vmig,timage,zmax,fmax
	common /mg3d/ tload,tcomp,tcomm,tcorr,tvel
	common /mg3d/ mg3d_end
	save   /mg3d/
